Package org.apache.synapse.commons.emulator.http.dsl.dto.producer

## Class IncomingMessage

- java.lang.Object
- - org.apache.synapse.commons.emulator.http.dsl.dto.producer.IncomingMessage

-     public class IncomingMessage
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IncomingMessage()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBody()` |
    `List<Cookie>` | `getCookies()` |
    `List<Header>` | `getHeaders()` |
    `io.netty.handler.codec.http.HttpMethod` | `getMethod()` |
    `String` | `getPath()` |
    `List<QueryParameter>` | `getQueryParameters()` |
    `static IncomingMessage` | `request()` |
    `IncomingMessage` | `withBody​(String body)` |
    `IncomingMessage` | `withCookie​(String name, String value)` |
    `IncomingMessage` | `withCookies​(Cookie... cookies)` |
    `IncomingMessage` | `withHeader​(String name, String value)` |
    `IncomingMessage` | `withHeaders​(Header... headers)` |
    `IncomingMessage` | `withMethod​(io.netty.handler.codec.http.HttpMethod method)` |
    `IncomingMessage` | `withPath​(String path)` |
    `IncomingMessage` | `withQueryParameter​(String name, String value)` |
    `IncomingMessage` | `withQueryParameters​(QueryParameter... queryParameters)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncomingMessage

          public IncomingMessage()

  - ### Method Detail

    - #### request

          public static IncomingMessage request()

    - #### withMethod

          public IncomingMessage withMethod​(io.netty.handler.codec.http.HttpMethod method)

    - #### withPath

          public IncomingMessage withPath​(String path)

    - #### withBody

          public IncomingMessage withBody​(String body)

    - #### withHeader

          public IncomingMessage withHeader​(String name,
                                            String value)

    - #### withHeaders

          public IncomingMessage withHeaders​(Header... headers)

    - #### withQueryParameter

          public IncomingMessage withQueryParameter​(String name,
                                                    String value)

    - #### withQueryParameters

          public IncomingMessage withQueryParameters​(QueryParameter... queryParameters)

    - #### withCookie

          public IncomingMessage withCookie​(String name,
                                            String value)

    - #### withCookies

          public IncomingMessage withCookies​(Cookie... cookies)

    - #### getCookies

          public List<Cookie> getCookies()

    - #### getHeaders

          public List<Header> getHeaders()

    - #### getPath

          public String getPath()

    - #### getMethod

          public io.netty.handler.codec.http.HttpMethod getMethod()

    - #### getBody

          public String getBody()

    - #### getQueryParameters

          public List<QueryParameter> getQueryParameters()